curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/json-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"jsonSchema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
}
},
"required": [
"title"
],
"type": "object"
},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/json-templates"
payload = {
"name": "<string>",
"description": "<string>",
"jsonSchema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": { "title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
} },
"required": ["title"],
"type": "object"
},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
jsonSchema: {
$schema: 'http://json-schema.org/draft-07/schema#',
properties: {title: {maxLength: 100, minLength: 1, type: 'string'}},
required: ['title'],
type: 'object'
},
previewScreenshot: '<string>',
adFormat: 'banner',
previewUrl: '<string>'
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/json-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"jsonSchema": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"adFormat": "banner",
"isArchived": false,
"previewScreenshot": "<string>",
"previewUrl": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Json Template
Endpoint to create a new JSON template.
Autorizações
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Corpo
Unique name of the JSON template
1 - 50Description of the JSON template
1 - 100A JSON object that defines a schema according to draft-07 of the JSON Schema specification.
{
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
}
},
"required": ["title"],
"type": "object"
}
Preview screenshot of the JSON template
1 - 2083AdFormat this template is for
banner, sponsored_brand Preview URL of the JSON template
1 - 2083Resposta
Successful Response
The ID of the JSON template
The ID of the marketplace
The name of the JSON template
The description of the JSON template
The JSON schema of the JSON template
The creation time of the JSON template
The update time of the JSON template
The ad format of the JSON template
banner, sponsored_brand Whether the JSON template is archived
Preview screenshot of the JSON template
1 - 2083Preview URL of the JSON template
1 - 2083Esta página foi útil?